OpenSolaris_b135/pkgdefs/SUNWvscankr/preremove

#
# CDDL HEADER START
#
# The contents of this file are subject to the terms of the
# Common Development and Distribution License (the "License").
# You may not use this file except in compliance with the License.
#
# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
# or http://www.opensolaris.org/os/licensing.
# See the License for the specific language governing permissions
# and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each
# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
# If applicable, add the following below this CDDL HEADER, with the
# fields enclosed by brackets "[]" replaced with your own identifying
# information: Portions Copyright [yyyy] [name of copyright owner]
#
# CDDL HEADER END
#
#
# Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
# Use is subject to license terms.
#
# ident	"%Z%%M%	%I%	%E% SMI"
#

PATH="/usr/bin:/usr/sbin:${PATH}"
export PATH

PKG_NAME=SUNWvscankr
DRV=vscan
DMON=vscand

#
# Make sure that the VSCAN client daemon (vscand) is not
# running before removing this package.
#
if [ "${PKG_INSTALL_ROOT:-/}" = "/" ]; then
	/usr/bin/pgrep -x "${DMON}" >/dev/null
	if [ $? -ne 1 ]; then
		echo "\nUnable to remove ${PKG_NAME}: the vscan service is enabled"
		echo "Disable vscan service and try again:"
		echo "\tsvcadm disable system/filesystem/vscan\n"
		exit 1
	fi
fi

#
# Remove driver, if this has not already been done
#
BASEDIR=${BASEDIR:-/}
if [ "$BASEDIR" = "/" ]; then
	REM_DRV="rem_drv"
else
	REM_DRV="rem_drv -b ${BASEDIR}"
fi

grep "^${DRV}" ${BASEDIR}/etc/name_to_major > /dev/null 2>&1
if [ $? -eq 0 ]; then
	${REM_DRV} ${DRV}
	if [ $? -ne 0 ]; then
		echo "${PKG_NAME}: rem_drv ${DRV} failed\n" >&2
		exit 1
	fi
fi

exit 0